# Class SQLMap.SelectBuilder

java.lang.Object
com.codename1.properties.SQLMap.SelectBuilder

Enclosing class:
  `SQLMap`

public class SQLMap.SelectBuilder extends Object
Used to build the where statement as a builder pattern

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PropertyBusinessObject>`
  `build(PropertyBusinessObject obj, int maxElements, int page)`
  `SQLMap.SelectBuilder`
  `equals(PropertyBase property)`
  An equals `=` operator
  `SQLMap.SelectBuilder`
  `gt(PropertyBase property)`
  A greater that `>` operator
  `SQLMap.SelectBuilder`
  `lt(PropertyBase property)`
  A lesser than `<` operator
  `SQLMap.SelectBuilder`
  `notEquals(PropertyBase property)`
  A not equals `<>` operator
  `SQLMap.SelectBuilder`
  `orderBy(PropertyBase property, boolean ascending)`
  An orderBy clause

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Method Details

  - ### orderBy

    public SQLMap.SelectBuilder orderBy(PropertyBase property, boolean ascending)

    An orderBy clause

    ###### Parameters

    - `property`: the property

    - `ascending`: direction of the order by

    ###### Returns

    the builder instance

  - ### equals

    public SQLMap.SelectBuilder equals(PropertyBase property)

    An equals `=` operator

    ###### Parameters

    - `property`: the property

    ###### Returns

    the builder instance

  - ### notEquals

    public SQLMap.SelectBuilder notEquals(PropertyBase property)

    A not equals `<>` operator

    ###### Parameters

    - `property`: the property

    ###### Returns

    the builder instance

  - ### gt

    public SQLMap.SelectBuilder gt(PropertyBase property)

    A greater that `>` operator

    ###### Parameters

    - `property`: the property

    ###### Returns

    the builder instance

  - ### lt

    public SQLMap.SelectBuilder lt(PropertyBase property)

    A lesser than `<` operator

    ###### Parameters

    - `property`: the property

    ###### Returns

    the builder instance

  - ### build

    public List<PropertyBusinessObject> build(PropertyBusinessObject obj, int maxElements, int page) throws IOException, InstantiationException
    Throws:
      `IOException`
      `InstantiationException`